Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class GraphBase.State

    java.lang.Object
      de.grogra.graph.GraphState
          de.grogra.graph.GraphBase.State

Direct Known Subclasses:
  GraphFilter.State

Enclosing class:
  GraphBase

    protected abstract class GraphBase.State

extends GraphState

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.GraphState
`GraphState.ObjectContext`

Constructor Summary
`GraphBase.State(ThreadContext ctx)`

Method Summary
`void` | `fireAttributeChanged(java.lang.Object object, boolean asNode, Attribute a, FieldChain field, int[] indices)`
`protected void` | `fireEdgeChanged(java.lang.Object source, java.lang.Object target, java.lang.Object edge)`
`EventSupport.Queue` | `getQueue()`

Methods inherited from class de.grogra.graph.GraphState
`allocatePropertyId, beginInstancing, checkBoolean, checkByte, checkChar, checkDouble, checkFloat, checkInt, checkLong, checkObject, checkShort, containsInTree, createDelegate, createObjectState, current, deinstantiate, dispose, endInstancing, finalize, forContext, get, getBoolean, getBooleanDefault, getByte, getByteDefault, getChar, getCharDefault, getContext, getDouble, getDoubleDefault, getFloat, getFloatDefault, getGraph, getInstancingPath, getInstancingPathIndex, getInt, getIntDefault, getLong, getLongDefault, getObject, getObject, getObjectContext, getObjectDefault, getShort, getShortDefault, getUserProperty, initialize, instantiate, instantiateEdge, moveToInstance, moveToNextInstance, moveToPreviousInstance, setEdgeBits, setInstanceAttribute, setObjectContext, setObjectContext, setUserProperty`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphBase.State

    public GraphBase.State(ThreadContext ctx)

Method Detail

### fireAttributeChanged

    public void fireAttributeChanged(java.lang.Object object,
                                     boolean asNode,
                                     Attribute a,
                                     FieldChain field,
                                     int[] indices)

  Specified by:
    `fireAttributeChanged` in class `GraphState`

### fireEdgeChanged

    protected void fireEdgeChanged(java.lang.Object source,
                                   java.lang.Object target,
                                   java.lang.Object edge)

  Specified by:
    `fireEdgeChanged` in class `GraphState`

### getQueue

    public EventSupport.Queue getQueue()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD